Subject: Re: [PATCH net-next 6/7] net: mvpp2: ptp: add interrupt handling

From: Russell King - ARM Linux admin <[email-masked]>
Date: Thu, 3 Sep 2020 09:48:16 +0100

On Thu, Sep 03, 2020 at 03:39:40AM +0200, Andrew Lunn wrote:
> > +static void mvpp2_isr_handle_ptp_queue(struct mvpp2_port *port, int nq)
> > +{
> > +	void __iomem *ptp_q;
> > +	u32 r0, r1, r2;
> > +
> > +	ptp_q = port->priv->iface_base + MVPP22_PTP_BASE(port->gop_id);
> > +	if (nq)
> > +		ptp_q += MVPP22_PTP_TX_Q1_R0 - MVPP22_PTP_TX_Q0_R0;
> > +
> > +	while (1) {
> > +		r0 = readl_relaxed(ptp_q + MVPP22_PTP_TX_Q0_R0) & 0xffff;
> > +		if (!r0)
> > +			break;
> > +
> > +		r1 = readl_relaxed(ptp_q + MVPP22_PTP_TX_Q0_R1) & 0xffff;
> > +		r2 = readl_relaxed(ptp_q + MVPP22_PTP_TX_Q0_R2) & 0xffff;
> > +	}
> > +}
> 
> Hi Russell
> 
> That is a rather odd interrupt handler, basically throwing everything
> away. Maybe add a comment about what is going on?

We end up doing something with it in the following patch. I could
squash 6 and 7 together, which would avoid this.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!